zhangbo 1 年之前
父節點
當前提交
d8eb41e325
共有 1 個文件被更改,包括 3 次插入2 次删除
  1. 3 2
      zhangbo/05_update_everyday_str.sh

+ 3 - 2
zhangbo/05_update_everyday_str.sh

@@ -1,6 +1,7 @@
 #!/bin/sh
 set -ex
 # 0 全局变量/参数
+samplePath=/dw/recommend/model/00_sample_data/
 savePath=/dw/recommend/model/04_str_data/
 model_name=model_str_mid
 today="$(date +%Y%m%d)"
@@ -18,7 +19,7 @@ OSS_PATH="oss://art-recommend.oss-cn-hangzhou.aliyuncs.com/video_str_model/"
 --name every_day_origindata_${model_name}_${today} \
 --master yarn --driver-memory 1G --executor-memory 1G --executor-cores 1 --num-executors 16 \
 /root/zhangbo/recommend-emr-dataprocess/target/spark-examples-1.0.0-SNAPSHOT-shaded.jar \
-tablePart:32 savePath:${savePath} beginStr:${today_early_1} endStr:${today_early_1}
+tablePart:32 savePath:${samplePath} beginStr:${today_early_1} endStr:${today_early_1}
 if [ $? -eq 1 ]; then
     echo "Spark原始样本生产任务执行失败"
     exit 1
@@ -31,7 +32,7 @@ fi
 --name every_day_strdata_${model_name}_${today} \
 --master yarn --driver-memory 1G --executor-memory 1G --executor-cores 1 --num-executors 16 \
 ./target/spark-examples-1.0.0-SNAPSHOT-shaded.jar \
-savePath:${savePath} beginStr:${today_early_1} endStr:${today_early_1} featureVersion:v4 ifRepart:100
+readPath:${samplePath} savePath:${savePath} beginStr:${today_early_1} endStr:${today_early_1} featureVersion:v4 ifRepart:100
 if [ $? -eq 1 ]; then
     echo "Spark训练样本生产任务执行失败"
     exit 1